Forum: Ruby [ANN] Ruby-VPI 12.1.0

Announcement (2017-05-07): is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see and for other Rails- und Ruby-related community platforms.
Bc368ef524130e8d0deb386de961e24a?d=identicon&s=25 Suraj Kurapati (snk)
on 2006-12-23 07:13
Ruby-VPI is a Ruby interface to Verilog VPI. It lets you create
complex Verilog test benches easily and wholly in Ruby.

  Web site:

  RSS feed:

  Install:    gem install ruby-vpi

Version 12.1.0 (2006-12-22)


This release adds interactive debugging support, adds new
sections to the user manual, and cleanses some internals.


  • The lib/ruby-vpi/rspec.rb and lib/ruby-vpi/xx.rb files
    has been removed because they are no longer necessary.

  • rSpec 0.7.0 or newer is now required because the sample
    tests utilize the should == syntax—which was introduced
    in rSpec 0.7.0.


  • Test runners now support the DEBUG environment
    variable, which enables the interactive debugger
    (ruby-debug) in post-mortem debugging mode.
      â–¡ The debugger can now be used when DEBUG environment
        variable is not activated.
      â–¡ ruby-debug is now a gem dependency for Ruby-VPI.

  • Status messages, which are shown during initialization
    of a Ruby bench, now appear in simulators’ log files.

  • Added documentation about test runners and the
    interactive debugger in the user manual.

  • Added a README file with hint about where to find the
    user manual.

  • Removed code that wasn’t being used, according to code
    coverage analysis, from the pipelined ALU sample.
This topic is locked and can not be replied to.